# TargetJvmEnvironment

interface TargetJvmEnvironment : Named

Represents the target JVM environment. Typically, a standard JVM or Android. This attribute can be used by libraries to indicate that a certain variant is better suited for a certain JVM environment. It does however NOT strictly require environments to match, as the general assumption is that Java libraries can also run on environments they are not optimized for.

#### Since

7.0

## Properties

ANDROID
Link copied to clipboard
val ANDROID: String = "android"
An Android environment.
STANDARD_JVM
Link copied to clipboard
val STANDARD_JVM: String = "standard-jvm"
A standard JVM environment (e.g.
TARGET_JVM_ENVIRONMENT_ATTRIBUTE
Link copied to clipboard
val TARGET_JVM_ENVIRONMENT_ATTRIBUTE: Attribute<TargetJvmEnvironment>

## Functions

getName
Link copied to clipboard
abstract fun getName(): String